karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Problem deploying 4.2.3 custom distribution
Date Tue, 26 Feb 2019 05:44:38 GMT
As other plugins (especially deploy) didn't yet update, and in order to
keep aligned, I'm proposing to downgrade to wagon 3.2.0 (as before) and
quickly cut Karaf 4.2.4 to avoid to impact the users.
We will upgrade wagon sync with other Maven plugins to avoid "API
change" in Wagon.

Thoughts ?

Regards
JB

On 24/02/2019 11:20, Fabian Lange wrote:
> Hi,
> 
> did anyone come across this problem when deploying a 4.2.3 custom distribution?
> 
> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-deploy-plugin:2.8.2:deploy
> (default-deploy) on project karaf-assembly: Execution default-deploy
> of goal org.apache.maven.plugins:maven-deploy-plugin:2.8.2:deploy
> failed: An API incompatibility was encountered while executing
> org.apache.maven.plugins:maven-deploy-plugin:2.8.2:deploy:
> java.lang.NoSuchMethodError:
> org.apache.maven.wagon.shared.http.AbstractHttpClientWagon.getBufferCapacityForTransfer(J)I
> 
> 
> I have the feeling that there is a new dependency from pax-url / karaf
> maven plugin interfering with mvn-deploy?
> 
> I will dig into this and report findings, if somebody has seen and
> solved this let me know. Thx
> 
> Fabian
> 

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message